<?php
namespace Claromentis\Core\DocumentConverter;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_20b3ce3ff928713aae2421713e60898" . "a" => base64_decode("YWRtaW4uZG9jdW1lbnRfY29udmVydGVyLmVycm9yLmNvdWxkX25vdF9jb25u" . "ZWN0"), "_6dc023075e7b7a10fcc37e2d1b" . "691033" => base64_decode("IHRvI" . "A=="), "_946c6fe2025cf682630afe8" . "f8cdf5861" => base64_decode("Y29tbW9uLmRvY3VtZW50X2NvbnZlcnRlci51bmtub3duX2" . "Vycm9y"), "_2351a63e" . "a5f1aa926" . "b0753b192" . "e8d841" => base64_decode("RmFpbGVkIHRvIGN" . "vbnZlcnQg"), "_77317902a2c903" . "eaeed66f6a366de" . "08b" => base64_decode("ZXhjZXB" . "0aW9uX2" . "1lc3NhZ" . "2U="), "_ba3845cb" . "79c005cf3" . "269af8c83" . "ddbe5e" => base64_decode("ZXJy" . "b3I="), "_5e905cea5856ef40d35ea1e" . "daf185d1b" => base64_decode("IHVzaW5n" . "IA=="), "_a7a98b53d82ba82123bc4047484cd" . "742" => base64_decode("Y29tbW9uLmRvY3" . "VtZW50X2NvbnZl" . "cnRlci5ub19jb2" . "52ZXJ0ZXJz"), "_b0e753deb9741c6e9b3d17cac47b" . "5dc5" => base64_decode("Tm8gYXZhaWxhYmxlIE" . "RvY3VtZW50IENvbnZl" . "cnRlcnMgdG8gdXNlLg" . "=="), "_31767d7ad58e706dbf47b7a" . "51a0fe6c4" => base64_decode("Y2" . "91" . "bn" . "Q="), "_b8323c396da" . "910cd2da11d4" . "d0985e9c5" => base64_decode("aXNfcnVub" . "mluZw=="));
use Claromentis\Core\DocumentConverter\Converters\DocumentConverterInterface;
use Claromentis\Core\DocumentConverter\Exceptions\DocumentConverterException;
use Exception;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Webmozart\Assert\Assert;









class DocumentConverterService
{
    
    
    
    
    
    
    private $document_converters;
    
    
    
    
    
    
    private LoggerInterface $logger;
    
    
    
    
    
    
    
    public function __construct(array $_c347105b86cd04864c78a4febd95a6f0, ?LoggerInterface $logger)
    {
        foreach ($_c347105b86cd04864c78a4febd95a6f0 as $document_converter) {
            Assert::isInstanceOf($document_converter, DocumentConverterInterface::class);
        }
        $this->document_converters = $_c347105b86cd04864c78a4febd95a6f0;
        $this->logger = $logger ?? new NullLogger();
        if (empty($this->document_converters)) {
            $this->logger->warning($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_b0e753deb9741c6e9b3d17" . "cac47b5dc5"]);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    public function Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860)
    {
        foreach ($this->document_converters as $_02ad4799244951c2d809ee37be9e79fd => $document_converter) {
            try {
                $document_converter->Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860);
                return;
            } catch (Exception $_fe441aa3ef350bfb1a1a1ad8520dd530) {
                
                
                if ($_02ad4799244951c2d809ee37be9e79fd === $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_31767d7ad58e7" . "06dbf47b7a51a0" . "fe6c4"]($this->document_converters) - 1) {
                    if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof DocumentConverterException) {
                        throw new Exception($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage());
                    } else {
                        throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_946c6fe2025cf682630af" . "e8f8cdf5861"]));
                    }
                }
                $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_2351a63ea" . "5f1aa926b0" . "753b192e8d" . "841"] . $_6d9f48827153c22baa0cc670b103158e . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_6dc023075e7b7a10fc" . "c37e2d1b691033"] . $_d1625ea25fb8b4afdb15b0570f6ab860 . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_5e905cea5856ef40d35ea1e" . "daf185d1b"] . $document_converter->GetName(), [$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_77317902a2c90" . "3eaeed66f6a366" . "de08b"] => $_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage()]);
            }
        }
        throw new Exception($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a7a98b53d82ba82123" . "bc4047484cd742"]));
    }
    
    
    
    
    
    
    public function GetStatus()
    {
        $_2a85611c78080ebe98afdb51c3d4ea92 = [];
        foreach ($this->document_converters as $document_converter) {
            $_b8323c396da910cd2da11d4d0985e9c5 = $document_converter->IsRunning();
            $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()] = [$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b8323c396da910cd2da11d" . "4d0985e9c5"] => $_b8323c396da910cd2da11d4d0985e9c5];
            if (!$_b8323c396da910cd2da11d4d0985e9c5) {
                $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()][$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ba3845cb79c005cf32" . "69af8c83ddbe5e"]] = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_20b3ce3ff92" . "8713aae24217" . "13e60898a"], $document_converter->GetHost(), $document_converter->GetPort());
            }
        }
        return $_2a85611c78080ebe98afdb51c3d4ea92;
    }
    
    
    
    
    
    
    public function IsRunning()
    {
        foreach ($this->document_converters as $document_converter) {
            if ($document_converter->IsRunning()) {
                return true;
            }
        }
        return false;
    }
}